package de.rcr1.brain;

/**
 * Setting constants.
 * 
 * @author Philipp Hergert and Kilian Koller
 */
class Constants
{
	/** Sets the debug mode. */
    public static final boolean DEBUG = false;
	
    /** The widht of the mars in grid units. */
    public static final int MARS_WIDTH = 12;
    
    /** The height of the mars in grid units. */
    public static final int MARS_HEIGHT = 12;

    /** The size of one grid unit of the mars surface in cm. */
    public static final int MARS_GRID_SIZE = 25;
    
    /** Opcode unknown field. */
    public static final byte FIELD_UNKNOWN = 0;
    
    /** Opcode blocked field. */
    public static final byte FIELD_BLOCKED = 1;
    
    /** Opcode - Move forward - need to be followed by the distance to move. */
    public static final int OPCODE_FORWARD = 1000;
	
	/** Opcode - Move backward - need to be followed by the distance to move. */
	public static final int OPCODE_BACKWARD = 2000;
	
	/** Opcode - Move right - need to be followed by the distance to move. */
	public static final int OPCODE_RIGHT = 3000;
	
	/** Opcode - Move left - need to be followed by the distance to move. */
	public static final int OPCODE_LEFT = 4000;
	
	/** Opcode - Movement successfully completed - followed by the moved distance. */
	public static final int OPCODE_MOVE_SUCCESS = 5000;
	
	/** Opcode - Movement not successfull - followed by the moved distance. */
	public static final int OPCODE_MOVE_ERROR = 6000;

	/** Opcode - Are we active? - Does not contain any additional bytes. */
	public static final int OPCODE_ACTIVE = 7000;
}
