/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * FWP - Remotely Controlled Robot - 7.Semester
 * 
 * Class Description:
 * 		This class acts as IRMessage object which is assembeled when
 * 		we want to send a message to the RCX/Proxy or when one has been received
 * 
 * @author Thomas Woellert (thomas.woellert@t-online.de)
 * @author Stefan Weissbach (weissbst@gmx.de)
 * @author Willi Tremmel (TremmelW@gmx.de)
 * 
 * System: Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 7T
 */
package util;

public class IRMessage {

	/* The opcode */
	protected int opcode = -1;
	
	/* The additional value */
	protected int value = -1;
	
	/**
	 * Construct a new empty IRMessage
	 */
	public IRMessage() {
		this(-1, -1);
	}
	
	/**
	 * Constructa new IRMessage with the given opcode and value
	 * @param opcode, the opcode to store in the message
	 * @param value, the value to store in the message
	 */
	public IRMessage(int opcode, int value) {
		this.opcode = opcode;
		this.value = value;
	}

	/**
	 * Retrieve the stored opcode
	 * @return Returns the opcode.
	 */
	public int getOpcode() {
		return opcode;
	}
	
	/**
	 * Retrieve the stored value
	 * @return Returns the value.
	 */
	public int getValue() {
		return value;
	}	
	
	/**
	 * Set a new opcode in the message
	 * @param opcode The opcode to set.
	 */
	public void setOpcode(int opcode) {
		this.opcode = opcode;
	}
	
	/**
	 * Set a new value in the message
	 * @param value The value to set.
	 */
	public void setValue(int value) {
		this.value = value;
	}
}