/*
 * dummyproxy.java
 *
 * Created on 18. Oktober 2004, 22:28
 */

/**
 *
 * @author  Cengiz Genc,Stephan Poser, Daniel Eitler
 */

public class dummyproxy extends rcxproxy{

	/** Calls the rcxproxy - Ctor to create a dummy proxy object for testing purposes
	* @param port
	*/
                
        dummyproxy(BrainMessageHandler brainMessageHandler)
        {
                this.brainMessageHandler = brainMessageHandler;
		this.brainMessageHandler.addMessageListener(this);
        }
        
	dummyproxy(BrainMessageHandler brainMessageHandler, RcxMessageHandler messageHandler)
	{
		super(brainMessageHandler, messageHandler);
	}


	// Command Line tool for testing the translation from the brain-protocol to the rcx-protocol
	public static void main(String[]args)
	{
		// Create the communication handler
		RcxMessageHandler rcxMessageHandler;
                BrainMessageHandler brainMessageHandler;
                dummyproxy dummy;
                
                // Without optional cmd-line-argument dummyproxy tries to build up connections to brain and proxy
                if( args.length == 0)
                {
                    rcxMessageHandler = new RcxMessageHandler();
                    brainMessageHandler = new BrainMessageHandler(1234);
                    dummy= new dummyproxy(brainMessageHandler, rcxMessageHandler);
                }
                else
                {
                    //With cmd-line-arg dummyproxy only builds up a connection to the brain
                    brainMessageHandler = new BrainMessageHandler(1234);
                    dummy = new dummyproxy(brainMessageHandler);
                }
		
                
                
		System.out.println("Waiting for connection....");
                
                while( true )
                {
                    if( dummy.isActive() )
                    {
			System.out.println("Client connected!\n");
                        break;
                    }
                }
	}

	public void readFromSource(Packet packet)
	{
                //dummy method sends the packet back to brain
		System.out.println("Received from Brain: "+packet);
		writeToSource(packet);
	}
        public void writeToSource(Packet packet)
        {
            //dummy method sends a modified answer-packet back to the brain
            Packet answer= new Packet( IRProtocol.OPCODE_MOVE_SUCCESS ,packet.getData());
            System.out.println("Sending to Brain: "+answer);
            brainMessageHandler.sendMessageToBrain(answer);
        }

}
